Summary:	Atomix-style arcade game
Name:		lmarbles
Version:	1.0.7
Release:	%mkrel 3


URL:		http://lgames.sourceforge.net/index.php?project=LMarbles

Source0:	http://lgames.sourceforge.net/marbleslgames/%{name}-%{version}.tar.bz2
Source4:	%{name}.menu
Source5:	%{name}16.png
Source6:	%{name}32.png
Source7:	%{name}48.png

License:	GPL
Group:		Games/Boards
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	SDL-devel libSDL_mixer-devel XFree86-devel alsa-lib-devel
BuildRequires:	filesystem esound-devel texinfo

Provides:	marbles
Obsoletes:	marbles

%description
LMarbles is very similar to Atomix and was heavily inspired by it.
Goal is to create a more or less complex figure out of single
marbles within a time limit to reach the next level.
Sounds easy? Well, there is a problem: If a marble starts to move it
will not stop until it hits a wall or marble. And to make it even
more interesting there are obstacles like arrows,
crumbling walls and teleports!

%prep
%setup -q

%build
%configure \
    --localstatedir=%{_localstatedir}/games \
    --datadir=%{_gamesdatadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall inst_dir="$RPM_BUILD_ROOT%{_gamesdatadir}/%{name}" prf_dir="$RPM_BUILD_ROOT%{_localstatedir}/games" bindir="$RPM_BUILD_ROOT%{_gamesbindir}"

install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README
%attr(2755, root, games) %{_gamesbindir}/*
%attr(664, games, games) %{_localstatedir}/games/%{name}.prfs
%{_gamesdatadir}/%{name}
%{_mandir}/man6/*
%{_menudir}/*
%{_iconsdir}/*
%{_miconsdir}/*
%{_liconsdir}/*

%changelog
* Mon Nov 06 2006 Texstar <texstar@houston.rr.com> 1.0.7-3pclos2007
- Build for PCLinuxOS 2007

